Bug 26845 - segfault opening files
Summary: segfault opening files
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: hexedit   
(Show other bugs)
Version: 7.3
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Powers
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-09 16:57 UTC by Matt Domsch
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-09 18:30:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Powers 2001-02-09 17:11:59 UTC
I can't reproduce this problem. Are you using hexedit-1.1.0-5? I just tried it
on a fisher install and it works fine.

Can you give me a little more information on what you are doing when you invoke
the hexedit command, etc.?

Tim

Comment 1 Matt Domsch 2001-02-09 17:20:21 UTC
Sorry, I hit enter too soon...

I'm running this on IA-64.
hexedit from Fisher powertools.
hexedit /tmp/foo (any file)

It's failing within display.c:display(), near line 5, the PRINTW function.

I built hexedit from the SRPM again so I'd get debugging symbols.
cd /usr/src/redhat/BUILD/hexedit/
gdb hexedit
set args /tmp/foo
break display
break displayLine
break attrset
run


Program received signal SIGSEGV, Segmentation fault.
0x20000000001f5b51 in strlen () at soinit.c:64
64      soinit.c: No such file or directory.
        in soinit.c

(gdb) bt
#0  0x20000000001f5b20 in strlen () at soinit.c:64
#1  0x20000000001a1f70 in _IO_vfprintf (s=0x80000ffffffff820,
    format=0x8000000000000005 <Address 0x8000000000000005 out of bounds>,
    ap=0x80000ffffffff9a0) at vfprintf.c:1524
#2  0x20000000001dc830 in _IO_vsnprintf (
    string=0x600000000001df90 "---  170\n", maxlen=2026,
    format=0x400000000000c770 "-%c%c  %s       --0x%lX",
    args=0x80000ffffffff988) at vsnprintf.c:129
#3  0x20000000001a1f70 in _IO_vfprintf (s=0x400000000000c770,
    format=0x80000ffffffff988 "-", ap=0x20000000000f61e0) at vfprintf.c:1524
#4  0x20000000001a1f70 in _IO_vfprintf (s=Cannot access memory at address 0x8000
0fff7fffffb0
) at vfprintf.c:1524
#5  0x80000ffffffff988 in ?? ()
#6  0x20000000001a1f70 in _IO_vfprintf (s=Cannot access memory at address 0x8000
0fff7ffffba8
) at vfprintf.c:1524
Cannot access memory at address 0x80000fff7ffffd78



Comment 2 Tim Powers 2001-02-09 17:22:21 UTC
Woops. My fault, didn't see ia64 as the arch at first. :P

Tim

Comment 3 Tim Powers 2001-02-09 18:30:38 UTC
OK. This is now fixed in hexedit-1.1.0-6. I have uploaded an ia64 package for
you to try out at:

http://people.redhat.com/timp/RPMS/hexedit-1.1.0-6.ia64.rpm

The SRPM is at:

http://people.redhat.com/timp/SRPMS/hexedit-1.1.0-6.src.rpm

Thanks for the heads up on this.

Tim

Comment 4 Matt Domsch 2001-02-17 15:41:55 UTC
Yes, 1.1.0-6 fixes this segfault for me.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.